function isQuality(n) {
	let m = Math.floor(n / 2) + 1
	for (var i = 2; i < m; i++) {
		if (n % i == 0) {
			return false
		}
	}
	return true
}

function checkNaturalnumber(obj) {
	return (/^[0-9]+$/.test(obj) && (obj > 0))
}

function handleInputChange() {
	var a = document.querySelector("input[type='text']")
	var r = document.getElementById("check-result")
	if (!a.value) {
		r.innerText = '未输入内容'
	} else if (a.value.length > 10) {
		r.innerText = '输入内容过长'
	} else if (!checkNaturalnumber(a.value)) {
		r.innerText = '输入内容不合法，请输入自然数！'
	} else {
		r.innerText = `${a.value} ${isQuality(a.value) ? '是' : '不是'}质数`
		if (a.value == 1) {
			r.innerText += `\n任何大于1的整数均可被表示成一串唯一素数之乘积。为了确保该定理的唯一性，1被定义为不是素数。——Wiki`
		}
	}

}
